POM file problem with 1.0.4

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

POM file problem with 1.0.4

John Eichelsdorfer
In trying to work out the issue I was having in the other write, I noticed that same database column names could cause a problem which was fixed in 1.0.4.  In trying to upgrade to 1.0.4, my maven project is failing due to many pom file issues found at http://repo1.maven.org/maven2/ojb/db-ojb/1.0.4/db-ojb-1.0.4.pom.


<dependency>
<groupId>hsqldb</groupId>
<artifactId>hsqldb</artifactId>
<version>1.8.0</version>
</dependency>

In looking at the web site, the versions are marked differently (i.e. 1.8.0.7) and the dependancy is not automatically pulled.  I was not able to find the jdori dependancy there.

The repository the 1.0.4 pom file shows is: file:///www/db.apache.org/builds/ojb/

But this does not work for me.  Perhaps it is expected to point to a different repository?

Also failing:
<dependency>
<groupId>jdo</groupId>
<artifactId>jdori</artifactId>
<version>1.0.1</version>
</dependency>


John
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: POM file problem with 1.0.4

John Eichelsdorfer
Using the following got it to compile for me, but general users should not have to do the excludes.

           <dependency>
                <groupId>ojb</groupId>
                <artifactId>db-ojb</artifactId>
                <version>1.0.4</version>
                <exclusions>
                    <exclusion>
                        <groupId>jdo</groupId>
                        <artifactId>jdo</artifactId>
                    </exclusion>
                    <exclusion>
                        <groupId>jdo</groupId>
                        <artifactId>jdori</artifactId>
                    </exclusion>
                    <exclusion>
                        <groupId>hsqldb</groupId>
                        <artifactId>hsqldb</artifactId>
                    </exclusion>
                    <exclusion>
                        <groupId>xalan</groupId>
                        <artifactId>xalan</artifactId>
                    </exclusion>
                </exclusions>
            </dependency>


Likely there should be two different pom files.  One for doing the local build and one for doing the external pull in.


Also In trying to get the new table for the HighLowSequence I followed the link http://db.apache.org/ojb/repository_internal.xml.txt.   It holds a value of "name" instead of "tableName" as it was in 1.0.3.   Had to switch back to "tableName" to get the table to work.
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: POM file problem with 1.0.4

John Eichelsdorfer
Never mind on the HighLowSequence comment.  My Maven compile was pulling in both 1.0.3 and 1.0.4 and 1.0.3 won.
Loading...